## org.junit.runners.parameterized
Class BlockJUnit4ClassRunnerWithParametersFactory

    java.lang.Object
      org.junit.runners.parameterized.BlockJUnit4ClassRunnerWithParametersFactory

All Implemented Interfaces:
  ParametersRunnerFactory

    public class BlockJUnit4ClassRunnerWithParametersFactory

extends Object
implements ParametersRunnerFactory

A `ParametersRunnerFactory` that creates `BlockJUnit4ClassRunnerWithParameters`.

Since:
  4.12

Constructor Summary
`BlockJUnit4ClassRunnerWithParametersFactory()`

Method Summary
`Runner` `createRunnerForTestWithParameters(TestWithParameters test)` Returns a runner for the specified `TestWithParameters`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockJUnit4ClassRunnerWithParametersFactory

    public BlockJUnit4ClassRunnerWithParametersFactory()

Method Detail

### createRunnerForTestWithParameters

    public Runner createRunnerForTestWithParameters(TestWithParameters test)
                                             throws InitializationError

  Description copied from interface: `ParametersRunnerFactory`
  Returns a runner for the specified `TestWithParameters`.

  Specified by:
    `createRunnerForTestWithParameters` in interface `ParametersRunnerFactory`
  Throws:
    `InitializationError` - if the runner could not be created.

Copyright © 2002–2020 JUnit. All rights reserved.